"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const http_1 = require("http");
const request_action_1 = require("../models/request-action");
/**
 * Action for unhandled (500) errors
 * Returns a serialized error instance in JSON format.
 */
exports.ErrorAction = async (injector) => {
    const error = injector.getInstance(Error);
    const msg = injector.getInstance(http_1.IncomingMessage);
    injector.logger.warning({
        message: `An action returned 500 from '${msg.url}'.`,
        data: {
            error,
        },
    });
    return request_action_1.JsonResult({ chunk: { message: error.message, url: msg.url, stack: error.stack } }, 500);
};
//# sourceMappingURL=error-action.js.map