"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const http_1 = require("http");
const inject_1 = require("@furystack/inject");
const utils_1 = require("@furystack/utils");
const error_action_1 = require("./error-action");
require("@furystack/logging");
describe('ErrorAction tests', () => {
    it('returns the error in the standard format', async () => {
        await utils_1.usingAsync(new inject_1.Injector().useLogging(), async (i) => {
            i.setExplicitInstance({ url: 'https://google.com' }, http_1.IncomingMessage);
            i.setExplicitInstance({ message: 'Something went wrong', stack: 'Stack' }, Error);
            const result = await error_action_1.ErrorAction(i);
            expect(result.statusCode).toBe(500);
            expect(result.chunk).toBe('{"chunk":{"message":"Something went wrong","url":"https://google.com","stack":"Stack"}}');
        });
    });
});
//# sourceMappingURL=error-action.spec.js.map