"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const inject_1 = require("@furystack/inject");
const utils_1 = require("@furystack/utils");
const get_current_user_1 = require("./get-current-user");
const http_user_context_1 = require("../http-user-context");
describe('getCurrentUser', () => {
    it('exec', async () => {
        const testUser = { Name: 'Userke' };
        await utils_1.usingAsync(new inject_1.Injector(), async (i) => {
            i.setExplicitInstance({ getCurrentUser: async () => testUser }, http_user_context_1.HttpUserContext);
            const result = await get_current_user_1.GetCurrentUser(i);
            expect(result.statusCode).toBe(200);
            expect(result.chunk).toBe(JSON.stringify(testUser));
        });
    });
});
//# sourceMappingURL=get-current-user.spec.js.map