"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const request_action_1 = require("../models/request-action");
const http_user_context_1 = require("../http-user-context");
/**
 * Action that returns if the current user is authenticated
 *
 * @param injector The injector from the current stack
 */
exports.IsAuthenticated = async (injector) => {
    const isAuthenticated = await injector.getInstance(http_user_context_1.HttpUserContext).isAuthenticated();
    return request_action_1.JsonResult({ isAuthenticated });
};
//# sourceMappingURL=is-authenticated.js.map