"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const inject_1 = require("@furystack/inject");
const utils_1 = require("@furystack/utils");
const is_authenticated_1 = require("./is-authenticated");
const http_user_context_1 = require("../http-user-context");
describe('isAuthenticated', () => {
    it('exec', async () => {
        await utils_1.usingAsync(new inject_1.Injector(), async (i) => {
            i.setExplicitInstance({ isAuthenticated: async () => true }, http_user_context_1.HttpUserContext);
            const result = await is_authenticated_1.IsAuthenticated(i);
            expect(result.statusCode).toBe(200);
            expect(result.chunk).toBe(JSON.stringify({ isAuthenticated: true }));
        });
    });
});
//# sourceMappingURL=is-authenticated.spec.js.map