"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const inject_1 = require("@furystack/inject");
const utils_1 = require("@furystack/utils");
const http_user_context_1 = require("../http-user-context");
const logout_1 = require("./logout");
describe('LogoutAction', () => {
    it('exec', async () => {
        await utils_1.usingAsync(new inject_1.Injector(), async (i) => {
            const cookieLogout = jest.fn(async () => true);
            i.setExplicitInstance({
                cookieLogout,
            }, http_user_context_1.HttpUserContext);
            const result = await logout_1.LogoutAction(i);
            expect(result.statusCode).toBe(200);
            expect(result.chunk).toBe(undefined);
            expect(cookieLogout).toBeCalled();
        });
    });
});
//# sourceMappingURL=logout-action.spec.js.map