"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const http_1 = require("http");
const inject_1 = require("@furystack/inject");
const utils_1 = require("@furystack/utils");
const not_found_action_1 = require("./not-found-action");
describe('NotFoundAction tests', () => {
    it('exec', async () => {
        await utils_1.usingAsync(new inject_1.Injector(), async (i) => {
            i.setExplicitInstance({ url: 'https://google.com' }, http_1.IncomingMessage);
            i.setExplicitInstance({}, http_1.ServerResponse);
            const result = await not_found_action_1.NotFoundAction(i);
            expect(result.statusCode).toBe(404);
            expect(result.chunk).toBe(JSON.stringify({ Error: 'Content not found', url: 'https://google.com' }));
        });
    });
});
//# sourceMappingURL=not-found-action.spec.js.map