"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("@furystack/logging");
const http_1 = require("http");
const utils_1 = require("@furystack/utils");
const request_action_1 = require("./models/request-action");
const http_user_context_1 = require("./http-user-context");
exports.Authenticate = () => (action) => {
    return async (i) => {
        const userContext = i.getInstance(http_user_context_1.HttpUserContext);
        const authenticated = await userContext.isAuthenticated();
        if (!authenticated) {
            const { url } = i.getInstance(http_1.IncomingMessage);
            await utils_1.sleepAsync(Math.random() * 1000);
            i.logger.warning({
                scope: '@furystack/http-api/@Authenticate()',
                message: `An unauthenticated user has been tried to access to action '${url}' without authentication.`,
                data: {
                    url,
                },
            });
            return request_action_1.JsonResult({ error: 'unauthorized' }, 401, userContext.authentication.enableBasicAuth ? { 'WWW-Authenticate': 'Basic' } : {});
        }
        return await action(i);
    };
};
//# sourceMappingURL=authenticate.js.map