"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const url_1 = require("url");
const actions_1 = require("./actions");
/**
 * Default routes for /login, /logout and /getCurrentUser
 *
 * @param injector The injector from the current stack
 * @returns The route on match
 */
exports.defaultLoginRoutes = injector => {
    const msg = injector.getRequest();
    const urlPathName = url_1.parse(msg.url || '', true).pathname;
    switch (urlPathName) {
        case '/isAuthenticated':
            return actions_1.IsAuthenticated;
        case '/currentUser':
            return actions_1.GetCurrentUser;
        case '/login':
            return actions_1.LoginAction;
        case '/logout':
            return actions_1.LogoutAction;
        default:
            return undefined;
    }
};
//# sourceMappingURL=default-login-routes.js.map