"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const http_1 = require("http");
const utils_1 = require("@furystack/utils");
const inject_1 = require("@furystack/inject");
const actions_1 = require("./actions");
const default_login_routes_1 = require("./default-login-routes");
describe('Default login routes', () => {
    it('/login should resolve Login action', () => {
        utils_1.using(new inject_1.Injector(), i => {
            i.setExplicitInstance({ url: '/login' }, http_1.IncomingMessage);
            expect(default_login_routes_1.defaultLoginRoutes(i)).toBe(actions_1.LoginAction);
        });
    });
    it('/logout should resolve Login action', () => {
        utils_1.using(new inject_1.Injector(), i => {
            i.setExplicitInstance({ url: '/logout' }, http_1.IncomingMessage);
            expect(default_login_routes_1.defaultLoginRoutes(i)).toBe(actions_1.LogoutAction);
        });
    });
    it('/currentUser should resolve Login action', () => {
        utils_1.using(new inject_1.Injector(), i => {
            i.setExplicitInstance({ url: '/currentUser' }, http_1.IncomingMessage);
            expect(default_login_routes_1.defaultLoginRoutes(i)).toBe(actions_1.GetCurrentUser);
        });
    });
    it('Other requests should return undefined', () => {
        utils_1.using(new inject_1.Injector(), i => {
            i.setExplicitInstance({ url: '/asdasdasd' }, http_1.IncomingMessage);
            expect(default_login_routes_1.defaultLoginRoutes(i)).toBe(undefined);
        });
    });
});
//# sourceMappingURL=default-login-routes.spec.js.map