import { PhysicalStore, User, StoreManager } from '@furystack/core';
import { Constructable } from '@furystack/inject';
import { DefaultSession } from './models/default-session';
/**
 * Authentication settings object for FuryStack HTTP Api
 */
export declare class HttpAuthenticationSettings<TUser extends User> {
    model: Constructable<TUser>;
    getUserStore: (storeManager: StoreManager) => PhysicalStore<TUser & {
        password: string;
    }>;
    getSessionStore: (storeManager: StoreManager) => PhysicalStore<DefaultSession>;
    cookieName: string;
    hashMethod: (plain: string) => string;
    enableBasicAuth: boolean;
}
//# sourceMappingURL=http-authentication-settings.d.ts.map