"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const core_1 = require("@furystack/core");
const inject_1 = require("@furystack/inject");
const hash_js_1 = require("hash.js");
const default_session_1 = require("./models/default-session");
/**
 * Authentication settings object for FuryStack HTTP Api
 */
let HttpAuthenticationSettings = class HttpAuthenticationSettings {
    constructor() {
        this.model = core_1.User;
        this.getUserStore = sm => sm.getStoreFor(core_1.User);
        this.getSessionStore = sm => sm.getStoreFor(default_session_1.DefaultSession);
        this.cookieName = 'fss';
        this.hashMethod = plain => hash_js_1.sha256()
            .update(plain)
            .digest('hex');
        this.enableBasicAuth = true;
    }
};
HttpAuthenticationSettings = tslib_1.__decorate([
    inject_1.Injectable({ lifetime: 'singleton' })
], HttpAuthenticationSettings);
exports.HttpAuthenticationSettings = HttpAuthenticationSettings;
//# sourceMappingURL=http-authentication-settings.js.map