"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const http_1 = require("http");
require("./incoming-message-extensions");
const net_1 = require("net");
describe('IncomingMessage extensions', () => {
    describe('readPostBody', () => {
        it('Should be extended', () => {
            const socket = new net_1.Socket();
            const msg = new http_1.IncomingMessage(socket);
            expect(typeof msg.readPostBody).toBe('function');
        });
        it('Should read the post body', async () => {
            const exampleValue = { value: Math.random().toString() };
            const socket = new net_1.Socket();
            const msg = new http_1.IncomingMessage(socket);
            setTimeout(() => {
                msg.read = () => JSON.stringify(exampleValue);
                msg.emit('readable');
                msg.emit('end');
            }, 10);
            const result = await msg.readPostBody();
            expect(result).toEqual(exampleValue);
        });
    });
});
//# sourceMappingURL=incoming-message-extensions.spec.js.map