import { Injector } from '@furystack/inject';
export interface ActionResult<T> {
    statusCode: number;
    headers: {
        [K: string]: string;
    };
    chunk: T;
}
export declare const JsonResult: <T extends object>(chunk: T, statusCode?: number, headers?: {
    [K: string]: string;
} | undefined) => ActionResult<string>;
export declare const PlainTextResult: (text: string, statusCode?: number, headers?: {
    [K: string]: string;
} | undefined) => ActionResult<string>;
export declare const XmlResult: (text: string, statusCode?: number, headers?: {
    [K: string]: string;
} | undefined) => ActionResult<string>;
export declare const EmptyResult: (statusCode?: number, headers?: {
    [K: string]: string;
} | undefined) => ActionResult<undefined>;
export declare const BypassResult: () => ActionResult<"BypassResult">;
/**
 * Interface for a HTTP Request action
 */
export declare type RequestAction = (i: Injector) => Promise<ActionResult<any>>;
//# sourceMappingURL=request-action.d.ts.map