"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.JsonResult = (chunk, statusCode = 200, headers) => ({
    statusCode,
    chunk: JSON.stringify(chunk),
    headers: {
        ...headers,
        'Content-Type': 'application/json',
    },
});
exports.PlainTextResult = (text, statusCode = 200, headers) => ({
    statusCode,
    chunk: text,
    headers: {
        ...headers,
        'Content-Type': 'plain/text',
    },
});
exports.XmlResult = (text, statusCode = 200, headers) => ({
    statusCode,
    chunk: text,
    headers: {
        ...headers,
        'Content-Type': 'application/xml;charset=utf-8',
    },
});
exports.EmptyResult = (statusCode = 200, headers) => ({
    statusCode,
    headers: {
        ...headers,
    },
});
exports.BypassResult = () => ({
    chunk: 'BypassResult',
});
//# sourceMappingURL=request-action.js.map