"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const request_action_1 = require("./models/request-action");
describe('RequestActions', () => {
    it('should return the default JsonResult', () => {
        expect(request_action_1.JsonResult({ foo: 1 })).toEqual({
            chunk: '{"foo":1}',
            headers: {
                'Content-Type': 'application/json',
            },
            statusCode: 200,
        });
    });
    it('should return the default PlainTextResult', () => {
        expect(request_action_1.PlainTextResult('alma')).toEqual({
            chunk: 'alma',
            headers: {
                'Content-Type': 'plain/text',
            },
            statusCode: 200,
        });
    });
    it('should return the default XmlResult', () => {
        expect(request_action_1.XmlResult('alma')).toEqual({
            chunk: 'alma',
            headers: {
                'Content-Type': 'application/xml;charset=utf-8',
            },
            statusCode: 200,
        });
    });
    it('should return the default EmptyResult', () => {
        expect(request_action_1.EmptyResult()).toEqual({ headers: {}, statusCode: 200 });
    });
    it('should return the default BypassResult', () => {
        expect(request_action_1.BypassResult()).toEqual({
            chunk: 'BypassResult',
        });
    });
});
//# sourceMappingURL=request-action.spec.js.map