"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const net_1 = require("net");
const http_1 = require("http");
const request_action_1 = require("./models/request-action");
require("./server-response-extensions");
describe('ServerResponse extensions', () => {
    describe('sendActionResult', () => {
        it('Should be extended', () => {
            const socket = new net_1.Socket();
            const msg = new http_1.ServerResponse(new http_1.IncomingMessage(socket));
            expect(typeof msg.sendActionResult).toBe('function');
        });
        it('Should send the response with the correct Content Type header and default status', done => {
            const jsonValue = { value: Math.random() };
            const socket = new net_1.Socket();
            const msg = new http_1.ServerResponse(new http_1.IncomingMessage(socket));
            msg.writeHead = jest.fn();
            msg.end = (chunk) => {
                expect(chunk).toBe(JSON.stringify(jsonValue));
                expect(msg.writeHead).toBeCalledWith(200, { 'Content-Type': 'application/json' });
                done();
            };
            msg.sendActionResult(request_action_1.JsonResult(jsonValue));
        });
    });
});
//# sourceMappingURL=server-response-extensions.spec.js.map