import { IncomingMessage, ServerResponse } from 'http';
import { CorsOptions } from './models/cors-options';
/**
 * A collection of various HTTP API related utilities
 */
export declare class Utils {
    /**
     * Reads the post's body and returns a promise with a parsed value
     *
     * @param incomingMessage The incoming message instance
     */
    readPostBody<T>(incomingMessage: IncomingMessage): Promise<T>;
    /**
     * Adds the specified CORS headers to the response
     *
     * @param options The CORS Options object
     * @param incomingMessage The incoming message instance
     * @param serverResponse The outgoing response instance
     */
    addCorsHeaders(options: CorsOptions, incomingMessage: IncomingMessage, serverResponse: ServerResponse): void;
}
//# sourceMappingURL=utils.d.ts.map